/*

 Ray 1.0 - Log file generation library

 (redirects stdout to a specified file)

*/

#ifndef _LIB_LOG
#define _LIB_LOG

#include <stdio.h>


FILE *g_LOG_fp = NULL; 


void err_alloc()
{
#ifdef DEBUG_LOG
 printf("error allocating memory !");
#endif
}

void start_log(char *log_file_name)
{

g_LOG_fp = fopen( log_file_name, "wt" );

    /* redirect standard output to a file */

    if (freopen( log_file_name, "w", stdout) == NULL)
	{
#ifndef LINUX_COMPILER
     MessageBox(NULL, "Error creating log file!", "File error!", MB_OK );
#else
	 fprintf(stderr, "\nError creating log file!\n");
#endif

     return;
    }

    printf("--  Ray 1.0 log file  ---\n\n");

}



void stop_log(void)
{
 printf("\n\n--  Ray 1.0 log file END ---");

 if(stdout != NULL) 
     /* close the standard output stream */
    fclose(stdout);
}





#endif

