#ifndef _LIB_TIMER
#define _LIB_TIMER

#define TICK_INTERVAL    30


Uint32 time_left(void)
{
    static Uint32 next_time = 0;
    Uint32 now;

    now = SDL_GetTicks();
    if ( next_time <= now ) 
		{
        next_time = now+TICK_INTERVAL;
        return(0);
    }
    return(next_time-now);
}



#endif