/*

  Ray 1.0 - color handling library

*/


#ifndef _LIB_COLOR
#define _LIB_COLOR


typedef struct {
 FTYPE r,g,b; // RGB color components
} t_rgb;

typedef struct {
 FTYPE r,g,b,a; // RGB color components
} t_rgba;




void set_color3f(t_rgb *c, FTYPE r, FTYPE g, FTYPE b)
{
 c->r = r;
 c->g = g;
 c->b = b;
}


void set_color4f(t_rgba *c, FTYPE r, FTYPE g, FTYPE b, FTYPE a)
{
 c->r = r;
 c->g = g;
 c->b = b;
 c->a = a;
}


__int32 get_rgb(t_rgb *c)
{
 return RGBF2INT( c->r, c->g, c->b );
}

#endif

