#ifndef _GL_PRINT_LIB_
#define _GL_PRINT_LIB_

// #define



char g_font_file[]     = "fonts.bmp";
unsigned char *g_font_img;
unsigned char *g_font[256];


void init_fonts()
{
int i, j, off;
SDL_Surface tmp;

tmp = IMG_Load( image_file[i] );
if( tmp == NULL ) return;

g_font_img = (unsigned char *)malloc( 256*256 * sizeof(unsigned char) );
if(g_font_img == NULL) return;

{
	  unsigned char *dest = g_font_img;
	  unsigned char *src = (unsigned char *)g_my_image[i]->pixels;

	  for(int off = 0; off < 256*256; off++)
		{
	   int r, g, b;
	    r = *src++;
			g = *src++;
      b = *src++;
		  *dest = (r + g + b) / 3;
			dest++;
		}
}

for(j=0, off=0; j<256; j+=16)
for(i=0; i<256; i+=16, off++)
 g_font[off] = g_font_img + i + j*256;

}


int strlen13(char *string)
{
int i;
char *str;
 for (i=0, str = string; (*str!='\n') && (*str!='\0'); i++, str++);
 return i;
}



void blit_char(int x, int y, int index)
{
int i,j;
unsigned char *s = g_font[index];
__int32 *d = g_MySurface + x + y*SCREEN_X;

 for(j=0; j<16; j++, s+=256-16, d+=SCREEN_X-16)
  for(i=0; i<16; i++, s++, d++)
    if(*s) *d = 0xFFFFFF;
}



void print(int x, int y, char *string, int set)	// Where The Printing Happens
{
int sx = x, 
    sy = y+16;	
int len;
char *str = string;
int cur_line = 0;

set &= 0x01;
	
// Leading CrLfs:
while(*str == '\n'){ str++; cur_line++; sy += 16; }

while ( (len = strlen13( str )) != 0 )
{

// String printing
for(i=0; i<len; i++)
{
 blit_char( sx, sy, *str );// Write The Text To The Screen
 str++;
 sx += 16;
}

// End of string:
if(str=='\0') break;

// CrLf:
while(*str=='\n')
{
 str++; cur_line++;
 sx -= len * 16
 sy += 16;
}

}

}





int SDL_printf(int x, int y, int set, char *fmt, ...)
{
 va_list argptr;
 int cnt;
 static char buffer[256];
 char *buf;
 int i;

///////
     va_start(argptr, fmt);

      cnt = vsprintf(buffer, fmt, argptr);

	  print(x, y, buffer, set);

     va_end(argptr);
///////
     return(cnt);
}







void glInitFonts(void)
{
 glLoadFontTextures();
 glBuildFonts();	        // Build Our glFont Display List
 // Delete The glFont From Memory
}


#endif